package com.chinaitop.depot.intelligent.fumigation.model;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TFumigationPesticideExample {
    /**
     * t_fumigation_pesticide
     */
    protected String orderByClause;

    /**
     * t_fumigation_pesticide
     */
    protected boolean distinct;

    /**
     * t_fumigation_pesticide
     */
    protected List<Criteria> oredCriteria;

    public TFumigationPesticideExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
     * t_fumigation_pesticide 2020-06-28
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(String value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(String value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(String value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(String value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(String value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(String value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLike(String value) {
            addCriterion("id like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotLike(String value) {
            addCriterion("id not like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<String> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<String> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(String value1, String value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(String value1, String value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andFumigationIdIsNull() {
            addCriterion("fumigation_id is null");
            return (Criteria) this;
        }

        public Criteria andFumigationIdIsNotNull() {
            addCriterion("fumigation_id is not null");
            return (Criteria) this;
        }

        public Criteria andFumigationIdEqualTo(String value) {
            addCriterion("fumigation_id =", value, "fumigationId");
            return (Criteria) this;
        }

        public Criteria andFumigationIdNotEqualTo(String value) {
            addCriterion("fumigation_id <>", value, "fumigationId");
            return (Criteria) this;
        }

        public Criteria andFumigationIdGreaterThan(String value) {
            addCriterion("fumigation_id >", value, "fumigationId");
            return (Criteria) this;
        }

        public Criteria andFumigationIdGreaterThanOrEqualTo(String value) {
            addCriterion("fumigation_id >=", value, "fumigationId");
            return (Criteria) this;
        }

        public Criteria andFumigationIdLessThan(String value) {
            addCriterion("fumigation_id <", value, "fumigationId");
            return (Criteria) this;
        }

        public Criteria andFumigationIdLessThanOrEqualTo(String value) {
            addCriterion("fumigation_id <=", value, "fumigationId");
            return (Criteria) this;
        }

        public Criteria andFumigationIdLike(String value) {
            addCriterion("fumigation_id like", value, "fumigationId");
            return (Criteria) this;
        }

        public Criteria andFumigationIdNotLike(String value) {
            addCriterion("fumigation_id not like", value, "fumigationId");
            return (Criteria) this;
        }

        public Criteria andFumigationIdIn(List<String> values) {
            addCriterion("fumigation_id in", values, "fumigationId");
            return (Criteria) this;
        }

        public Criteria andFumigationIdNotIn(List<String> values) {
            addCriterion("fumigation_id not in", values, "fumigationId");
            return (Criteria) this;
        }

        public Criteria andFumigationIdBetween(String value1, String value2) {
            addCriterion("fumigation_id between", value1, value2, "fumigationId");
            return (Criteria) this;
        }

        public Criteria andFumigationIdNotBetween(String value1, String value2) {
            addCriterion("fumigation_id not between", value1, value2, "fumigationId");
            return (Criteria) this;
        }

        public Criteria andMajorInsectPestsIsNull() {
            addCriterion("major_insect_pests is null");
            return (Criteria) this;
        }

        public Criteria andMajorInsectPestsIsNotNull() {
            addCriterion("major_insect_pests is not null");
            return (Criteria) this;
        }

        public Criteria andMajorInsectPestsEqualTo(Integer value) {
            addCriterion("major_insect_pests =", value, "majorInsectPests");
            return (Criteria) this;
        }

        public Criteria andMajorInsectPestsNotEqualTo(Integer value) {
            addCriterion("major_insect_pests <>", value, "majorInsectPests");
            return (Criteria) this;
        }

        public Criteria andMajorInsectPestsGreaterThan(Integer value) {
            addCriterion("major_insect_pests >", value, "majorInsectPests");
            return (Criteria) this;
        }

        public Criteria andMajorInsectPestsGreaterThanOrEqualTo(Integer value) {
            addCriterion("major_insect_pests >=", value, "majorInsectPests");
            return (Criteria) this;
        }

        public Criteria andMajorInsectPestsLessThan(Integer value) {
            addCriterion("major_insect_pests <", value, "majorInsectPests");
            return (Criteria) this;
        }

        public Criteria andMajorInsectPestsLessThanOrEqualTo(Integer value) {
            addCriterion("major_insect_pests <=", value, "majorInsectPests");
            return (Criteria) this;
        }

        public Criteria andMajorInsectPestsIn(List<Integer> values) {
            addCriterion("major_insect_pests in", values, "majorInsectPests");
            return (Criteria) this;
        }

        public Criteria andMajorInsectPestsNotIn(List<Integer> values) {
            addCriterion("major_insect_pests not in", values, "majorInsectPests");
            return (Criteria) this;
        }

        public Criteria andMajorInsectPestsBetween(Integer value1, Integer value2) {
            addCriterion("major_insect_pests between", value1, value2, "majorInsectPests");
            return (Criteria) this;
        }

        public Criteria andMajorInsectPestsNotBetween(Integer value1, Integer value2) {
            addCriterion("major_insect_pests not between", value1, value2, "majorInsectPests");
            return (Criteria) this;
        }

        public Criteria andInsectDensityIsNull() {
            addCriterion("insect_density is null");
            return (Criteria) this;
        }

        public Criteria andInsectDensityIsNotNull() {
            addCriterion("insect_density is not null");
            return (Criteria) this;
        }

        public Criteria andInsectDensityEqualTo(String value) {
            addCriterion("insect_density =", value, "insectDensity");
            return (Criteria) this;
        }

        public Criteria andInsectDensityNotEqualTo(String value) {
            addCriterion("insect_density <>", value, "insectDensity");
            return (Criteria) this;
        }

        public Criteria andInsectDensityGreaterThan(String value) {
            addCriterion("insect_density >", value, "insectDensity");
            return (Criteria) this;
        }

        public Criteria andInsectDensityGreaterThanOrEqualTo(String value) {
            addCriterion("insect_density >=", value, "insectDensity");
            return (Criteria) this;
        }

        public Criteria andInsectDensityLessThan(String value) {
            addCriterion("insect_density <", value, "insectDensity");
            return (Criteria) this;
        }

        public Criteria andInsectDensityLessThanOrEqualTo(String value) {
            addCriterion("insect_density <=", value, "insectDensity");
            return (Criteria) this;
        }

        public Criteria andInsectDensityLike(String value) {
            addCriterion("insect_density like", value, "insectDensity");
            return (Criteria) this;
        }

        public Criteria andInsectDensityNotLike(String value) {
            addCriterion("insect_density not like", value, "insectDensity");
            return (Criteria) this;
        }

        public Criteria andInsectDensityIn(List<String> values) {
            addCriterion("insect_density in", values, "insectDensity");
            return (Criteria) this;
        }

        public Criteria andInsectDensityNotIn(List<String> values) {
            addCriterion("insect_density not in", values, "insectDensity");
            return (Criteria) this;
        }

        public Criteria andInsectDensityBetween(String value1, String value2) {
            addCriterion("insect_density between", value1, value2, "insectDensity");
            return (Criteria) this;
        }

        public Criteria andInsectDensityNotBetween(String value1, String value2) {
            addCriterion("insect_density not between", value1, value2, "insectDensity");
            return (Criteria) this;
        }

        public Criteria andOccurrencePlaceIsNull() {
            addCriterion("occurrence_place is null");
            return (Criteria) this;
        }

        public Criteria andOccurrencePlaceIsNotNull() {
            addCriterion("occurrence_place is not null");
            return (Criteria) this;
        }

        public Criteria andOccurrencePlaceEqualTo(String value) {
            addCriterion("occurrence_place =", value, "occurrencePlace");
            return (Criteria) this;
        }

        public Criteria andOccurrencePlaceNotEqualTo(String value) {
            addCriterion("occurrence_place <>", value, "occurrencePlace");
            return (Criteria) this;
        }

        public Criteria andOccurrencePlaceGreaterThan(String value) {
            addCriterion("occurrence_place >", value, "occurrencePlace");
            return (Criteria) this;
        }

        public Criteria andOccurrencePlaceGreaterThanOrEqualTo(String value) {
            addCriterion("occurrence_place >=", value, "occurrencePlace");
            return (Criteria) this;
        }

        public Criteria andOccurrencePlaceLessThan(String value) {
            addCriterion("occurrence_place <", value, "occurrencePlace");
            return (Criteria) this;
        }

        public Criteria andOccurrencePlaceLessThanOrEqualTo(String value) {
            addCriterion("occurrence_place <=", value, "occurrencePlace");
            return (Criteria) this;
        }

        public Criteria andOccurrencePlaceLike(String value) {
            addCriterion("occurrence_place like", value, "occurrencePlace");
            return (Criteria) this;
        }

        public Criteria andOccurrencePlaceNotLike(String value) {
            addCriterion("occurrence_place not like", value, "occurrencePlace");
            return (Criteria) this;
        }

        public Criteria andOccurrencePlaceIn(List<String> values) {
            addCriterion("occurrence_place in", values, "occurrencePlace");
            return (Criteria) this;
        }

        public Criteria andOccurrencePlaceNotIn(List<String> values) {
            addCriterion("occurrence_place not in", values, "occurrencePlace");
            return (Criteria) this;
        }

        public Criteria andOccurrencePlaceBetween(String value1, String value2) {
            addCriterion("occurrence_place between", value1, value2, "occurrencePlace");
            return (Criteria) this;
        }

        public Criteria andOccurrencePlaceNotBetween(String value1, String value2) {
            addCriterion("occurrence_place not between", value1, value2, "occurrencePlace");
            return (Criteria) this;
        }

        public Criteria andInsectProductTimeIsNull() {
            addCriterion("insect_product_time is null");
            return (Criteria) this;
        }

        public Criteria andInsectProductTimeIsNotNull() {
            addCriterion("insect_product_time is not null");
            return (Criteria) this;
        }

        public Criteria andInsectProductTimeEqualTo(Date value) {
            addCriterion("insect_product_time =", value, "insectProductTime");
            return (Criteria) this;
        }

        public Criteria andInsectProductTimeNotEqualTo(Date value) {
            addCriterion("insect_product_time <>", value, "insectProductTime");
            return (Criteria) this;
        }

        public Criteria andInsectProductTimeGreaterThan(Date value) {
            addCriterion("insect_product_time >", value, "insectProductTime");
            return (Criteria) this;
        }

        public Criteria andInsectProductTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("insect_product_time >=", value, "insectProductTime");
            return (Criteria) this;
        }

        public Criteria andInsectProductTimeLessThan(Date value) {
            addCriterion("insect_product_time <", value, "insectProductTime");
            return (Criteria) this;
        }

        public Criteria andInsectProductTimeLessThanOrEqualTo(Date value) {
            addCriterion("insect_product_time <=", value, "insectProductTime");
            return (Criteria) this;
        }

        public Criteria andInsectProductTimeIn(List<Date> values) {
            addCriterion("insect_product_time in", values, "insectProductTime");
            return (Criteria) this;
        }

        public Criteria andInsectProductTimeNotIn(List<Date> values) {
            addCriterion("insect_product_time not in", values, "insectProductTime");
            return (Criteria) this;
        }

        public Criteria andInsectProductTimeBetween(Date value1, Date value2) {
            addCriterion("insect_product_time between", value1, value2, "insectProductTime");
            return (Criteria) this;
        }

        public Criteria andInsectProductTimeNotBetween(Date value1, Date value2) {
            addCriterion("insect_product_time not between", value1, value2, "insectProductTime");
            return (Criteria) this;
        }

        public Criteria andDrugNameIsNull() {
            addCriterion("drug_name is null");
            return (Criteria) this;
        }

        public Criteria andDrugNameIsNotNull() {
            addCriterion("drug_name is not null");
            return (Criteria) this;
        }

        public Criteria andDrugNameEqualTo(Integer value) {
            addCriterion("drug_name =", value, "drugName");
            return (Criteria) this;
        }

        public Criteria andDrugNameNotEqualTo(Integer value) {
            addCriterion("drug_name <>", value, "drugName");
            return (Criteria) this;
        }

        public Criteria andDrugNameGreaterThan(Integer value) {
            addCriterion("drug_name >", value, "drugName");
            return (Criteria) this;
        }

        public Criteria andDrugNameGreaterThanOrEqualTo(Integer value) {
            addCriterion("drug_name >=", value, "drugName");
            return (Criteria) this;
        }

        public Criteria andDrugNameLessThan(Integer value) {
            addCriterion("drug_name <", value, "drugName");
            return (Criteria) this;
        }

        public Criteria andDrugNameLessThanOrEqualTo(Integer value) {
            addCriterion("drug_name <=", value, "drugName");
            return (Criteria) this;
        }

        public Criteria andDrugNameIn(List<Integer> values) {
            addCriterion("drug_name in", values, "drugName");
            return (Criteria) this;
        }

        public Criteria andDrugNameNotIn(List<Integer> values) {
            addCriterion("drug_name not in", values, "drugName");
            return (Criteria) this;
        }

        public Criteria andDrugNameBetween(Integer value1, Integer value2) {
            addCriterion("drug_name between", value1, value2, "drugName");
            return (Criteria) this;
        }

        public Criteria andDrugNameNotBetween(Integer value1, Integer value2) {
            addCriterion("drug_name not between", value1, value2, "drugName");
            return (Criteria) this;
        }

        public Criteria andDrugPurityIsNull() {
            addCriterion("drug_purity is null");
            return (Criteria) this;
        }

        public Criteria andDrugPurityIsNotNull() {
            addCriterion("drug_purity is not null");
            return (Criteria) this;
        }

        public Criteria andDrugPurityEqualTo(String value) {
            addCriterion("drug_purity =", value, "drugPurity");
            return (Criteria) this;
        }

        public Criteria andDrugPurityNotEqualTo(String value) {
            addCriterion("drug_purity <>", value, "drugPurity");
            return (Criteria) this;
        }

        public Criteria andDrugPurityGreaterThan(String value) {
            addCriterion("drug_purity >", value, "drugPurity");
            return (Criteria) this;
        }

        public Criteria andDrugPurityGreaterThanOrEqualTo(String value) {
            addCriterion("drug_purity >=", value, "drugPurity");
            return (Criteria) this;
        }

        public Criteria andDrugPurityLessThan(String value) {
            addCriterion("drug_purity <", value, "drugPurity");
            return (Criteria) this;
        }

        public Criteria andDrugPurityLessThanOrEqualTo(String value) {
            addCriterion("drug_purity <=", value, "drugPurity");
            return (Criteria) this;
        }

        public Criteria andDrugPurityLike(String value) {
            addCriterion("drug_purity like", value, "drugPurity");
            return (Criteria) this;
        }

        public Criteria andDrugPurityNotLike(String value) {
            addCriterion("drug_purity not like", value, "drugPurity");
            return (Criteria) this;
        }

        public Criteria andDrugPurityIn(List<String> values) {
            addCriterion("drug_purity in", values, "drugPurity");
            return (Criteria) this;
        }

        public Criteria andDrugPurityNotIn(List<String> values) {
            addCriterion("drug_purity not in", values, "drugPurity");
            return (Criteria) this;
        }

        public Criteria andDrugPurityBetween(String value1, String value2) {
            addCriterion("drug_purity between", value1, value2, "drugPurity");
            return (Criteria) this;
        }

        public Criteria andDrugPurityNotBetween(String value1, String value2) {
            addCriterion("drug_purity not between", value1, value2, "drugPurity");
            return (Criteria) this;
        }

        public Criteria andUseDrugTypeIsNull() {
            addCriterion("use_drug_type is null");
            return (Criteria) this;
        }

        public Criteria andUseDrugTypeIsNotNull() {
            addCriterion("use_drug_type is not null");
            return (Criteria) this;
        }

        public Criteria andUseDrugTypeEqualTo(String value) {
            addCriterion("use_drug_type =", value, "useDrugType");
            return (Criteria) this;
        }

        public Criteria andUseDrugTypeNotEqualTo(String value) {
            addCriterion("use_drug_type <>", value, "useDrugType");
            return (Criteria) this;
        }

        public Criteria andUseDrugTypeGreaterThan(String value) {
            addCriterion("use_drug_type >", value, "useDrugType");
            return (Criteria) this;
        }

        public Criteria andUseDrugTypeGreaterThanOrEqualTo(String value) {
            addCriterion("use_drug_type >=", value, "useDrugType");
            return (Criteria) this;
        }

        public Criteria andUseDrugTypeLessThan(String value) {
            addCriterion("use_drug_type <", value, "useDrugType");
            return (Criteria) this;
        }

        public Criteria andUseDrugTypeLessThanOrEqualTo(String value) {
            addCriterion("use_drug_type <=", value, "useDrugType");
            return (Criteria) this;
        }

        public Criteria andUseDrugTypeLike(String value) {
            addCriterion("use_drug_type like", value, "useDrugType");
            return (Criteria) this;
        }

        public Criteria andUseDrugTypeNotLike(String value) {
            addCriterion("use_drug_type not like", value, "useDrugType");
            return (Criteria) this;
        }

        public Criteria andUseDrugTypeIn(List<String> values) {
            addCriterion("use_drug_type in", values, "useDrugType");
            return (Criteria) this;
        }

        public Criteria andUseDrugTypeNotIn(List<String> values) {
            addCriterion("use_drug_type not in", values, "useDrugType");
            return (Criteria) this;
        }

        public Criteria andUseDrugTypeBetween(String value1, String value2) {
            addCriterion("use_drug_type between", value1, value2, "useDrugType");
            return (Criteria) this;
        }

        public Criteria andUseDrugTypeNotBetween(String value1, String value2) {
            addCriterion("use_drug_type not between", value1, value2, "useDrugType");
            return (Criteria) this;
        }

        public Criteria andPlannDrugStartTimeIsNull() {
            addCriterion("plann_drug_start_time is null");
            return (Criteria) this;
        }

        public Criteria andPlannDrugStartTimeIsNotNull() {
            addCriterion("plann_drug_start_time is not null");
            return (Criteria) this;
        }

        public Criteria andPlannDrugStartTimeEqualTo(Date value) {
            addCriterion("plann_drug_start_time =", value, "plannDrugStartTime");
            return (Criteria) this;
        }

        public Criteria andPlannDrugStartTimeNotEqualTo(Date value) {
            addCriterion("plann_drug_start_time <>", value, "plannDrugStartTime");
            return (Criteria) this;
        }

        public Criteria andPlannDrugStartTimeGreaterThan(Date value) {
            addCriterion("plann_drug_start_time >", value, "plannDrugStartTime");
            return (Criteria) this;
        }

        public Criteria andPlannDrugStartTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("plann_drug_start_time >=", value, "plannDrugStartTime");
            return (Criteria) this;
        }

        public Criteria andPlannDrugStartTimeLessThan(Date value) {
            addCriterion("plann_drug_start_time <", value, "plannDrugStartTime");
            return (Criteria) this;
        }

        public Criteria andPlannDrugStartTimeLessThanOrEqualTo(Date value) {
            addCriterion("plann_drug_start_time <=", value, "plannDrugStartTime");
            return (Criteria) this;
        }

        public Criteria andPlannDrugStartTimeIn(List<Date> values) {
            addCriterion("plann_drug_start_time in", values, "plannDrugStartTime");
            return (Criteria) this;
        }

        public Criteria andPlannDrugStartTimeNotIn(List<Date> values) {
            addCriterion("plann_drug_start_time not in", values, "plannDrugStartTime");
            return (Criteria) this;
        }

        public Criteria andPlannDrugStartTimeBetween(Date value1, Date value2) {
            addCriterion("plann_drug_start_time between", value1, value2, "plannDrugStartTime");
            return (Criteria) this;
        }

        public Criteria andPlannDrugStartTimeNotBetween(Date value1, Date value2) {
            addCriterion("plann_drug_start_time not between", value1, value2, "plannDrugStartTime");
            return (Criteria) this;
        }

        public Criteria andPlannDrugUseUpTimeIsNull() {
            addCriterion("plann_drug_use_up_time is null");
            return (Criteria) this;
        }

        public Criteria andPlannDrugUseUpTimeIsNotNull() {
            addCriterion("plann_drug_use_up_time is not null");
            return (Criteria) this;
        }

        public Criteria andPlannDrugUseUpTimeEqualTo(Date value) {
            addCriterion("plann_drug_use_up_time =", value, "plannDrugUseUpTime");
            return (Criteria) this;
        }

        public Criteria andPlannDrugUseUpTimeNotEqualTo(Date value) {
            addCriterion("plann_drug_use_up_time <>", value, "plannDrugUseUpTime");
            return (Criteria) this;
        }

        public Criteria andPlannDrugUseUpTimeGreaterThan(Date value) {
            addCriterion("plann_drug_use_up_time >", value, "plannDrugUseUpTime");
            return (Criteria) this;
        }

        public Criteria andPlannDrugUseUpTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("plann_drug_use_up_time >=", value, "plannDrugUseUpTime");
            return (Criteria) this;
        }

        public Criteria andPlannDrugUseUpTimeLessThan(Date value) {
            addCriterion("plann_drug_use_up_time <", value, "plannDrugUseUpTime");
            return (Criteria) this;
        }

        public Criteria andPlannDrugUseUpTimeLessThanOrEqualTo(Date value) {
            addCriterion("plann_drug_use_up_time <=", value, "plannDrugUseUpTime");
            return (Criteria) this;
        }

        public Criteria andPlannDrugUseUpTimeIn(List<Date> values) {
            addCriterion("plann_drug_use_up_time in", values, "plannDrugUseUpTime");
            return (Criteria) this;
        }

        public Criteria andPlannDrugUseUpTimeNotIn(List<Date> values) {
            addCriterion("plann_drug_use_up_time not in", values, "plannDrugUseUpTime");
            return (Criteria) this;
        }

        public Criteria andPlannDrugUseUpTimeBetween(Date value1, Date value2) {
            addCriterion("plann_drug_use_up_time between", value1, value2, "plannDrugUseUpTime");
            return (Criteria) this;
        }

        public Criteria andPlannDrugUseUpTimeNotBetween(Date value1, Date value2) {
            addCriterion("plann_drug_use_up_time not between", value1, value2, "plannDrugUseUpTime");
            return (Criteria) this;
        }

        public Criteria andPlannDrugCountIsNull() {
            addCriterion("plann_drug_count is null");
            return (Criteria) this;
        }

        public Criteria andPlannDrugCountIsNotNull() {
            addCriterion("plann_drug_count is not null");
            return (Criteria) this;
        }

        public Criteria andPlannDrugCountEqualTo(String value) {
            addCriterion("plann_drug_count =", value, "plannDrugCount");
            return (Criteria) this;
        }

        public Criteria andPlannDrugCountNotEqualTo(String value) {
            addCriterion("plann_drug_count <>", value, "plannDrugCount");
            return (Criteria) this;
        }

        public Criteria andPlannDrugCountGreaterThan(String value) {
            addCriterion("plann_drug_count >", value, "plannDrugCount");
            return (Criteria) this;
        }

        public Criteria andPlannDrugCountGreaterThanOrEqualTo(String value) {
            addCriterion("plann_drug_count >=", value, "plannDrugCount");
            return (Criteria) this;
        }

        public Criteria andPlannDrugCountLessThan(String value) {
            addCriterion("plann_drug_count <", value, "plannDrugCount");
            return (Criteria) this;
        }

        public Criteria andPlannDrugCountLessThanOrEqualTo(String value) {
            addCriterion("plann_drug_count <=", value, "plannDrugCount");
            return (Criteria) this;
        }

        public Criteria andPlannDrugCountLike(String value) {
            addCriterion("plann_drug_count like", value, "plannDrugCount");
            return (Criteria) this;
        }

        public Criteria andPlannDrugCountNotLike(String value) {
            addCriterion("plann_drug_count not like", value, "plannDrugCount");
            return (Criteria) this;
        }

        public Criteria andPlannDrugCountIn(List<String> values) {
            addCriterion("plann_drug_count in", values, "plannDrugCount");
            return (Criteria) this;
        }

        public Criteria andPlannDrugCountNotIn(List<String> values) {
            addCriterion("plann_drug_count not in", values, "plannDrugCount");
            return (Criteria) this;
        }

        public Criteria andPlannDrugCountBetween(String value1, String value2) {
            addCriterion("plann_drug_count between", value1, value2, "plannDrugCount");
            return (Criteria) this;
        }

        public Criteria andPlannDrugCountNotBetween(String value1, String value2) {
            addCriterion("plann_drug_count not between", value1, value2, "plannDrugCount");
            return (Criteria) this;
        }

        public Criteria andSealTypeIsNull() {
            addCriterion("seal_type is null");
            return (Criteria) this;
        }

        public Criteria andSealTypeIsNotNull() {
            addCriterion("seal_type is not null");
            return (Criteria) this;
        }

        public Criteria andSealTypeEqualTo(String value) {
            addCriterion("seal_type =", value, "sealType");
            return (Criteria) this;
        }

        public Criteria andSealTypeNotEqualTo(String value) {
            addCriterion("seal_type <>", value, "sealType");
            return (Criteria) this;
        }

        public Criteria andSealTypeGreaterThan(String value) {
            addCriterion("seal_type >", value, "sealType");
            return (Criteria) this;
        }

        public Criteria andSealTypeGreaterThanOrEqualTo(String value) {
            addCriterion("seal_type >=", value, "sealType");
            return (Criteria) this;
        }

        public Criteria andSealTypeLessThan(String value) {
            addCriterion("seal_type <", value, "sealType");
            return (Criteria) this;
        }

        public Criteria andSealTypeLessThanOrEqualTo(String value) {
            addCriterion("seal_type <=", value, "sealType");
            return (Criteria) this;
        }

        public Criteria andSealTypeLike(String value) {
            addCriterion("seal_type like", value, "sealType");
            return (Criteria) this;
        }

        public Criteria andSealTypeNotLike(String value) {
            addCriterion("seal_type not like", value, "sealType");
            return (Criteria) this;
        }

        public Criteria andSealTypeIn(List<String> values) {
            addCriterion("seal_type in", values, "sealType");
            return (Criteria) this;
        }

        public Criteria andSealTypeNotIn(List<String> values) {
            addCriterion("seal_type not in", values, "sealType");
            return (Criteria) this;
        }

        public Criteria andSealTypeBetween(String value1, String value2) {
            addCriterion("seal_type between", value1, value2, "sealType");
            return (Criteria) this;
        }

        public Criteria andSealTypeNotBetween(String value1, String value2) {
            addCriterion("seal_type not between", value1, value2, "sealType");
            return (Criteria) this;
        }

        public Criteria andSettingConcentrationIsNull() {
            addCriterion("setting_concentration is null");
            return (Criteria) this;
        }

        public Criteria andSettingConcentrationIsNotNull() {
            addCriterion("setting_concentration is not null");
            return (Criteria) this;
        }

        public Criteria andSettingConcentrationEqualTo(String value) {
            addCriterion("setting_concentration =", value, "settingConcentration");
            return (Criteria) this;
        }

        public Criteria andSettingConcentrationNotEqualTo(String value) {
            addCriterion("setting_concentration <>", value, "settingConcentration");
            return (Criteria) this;
        }

        public Criteria andSettingConcentrationGreaterThan(String value) {
            addCriterion("setting_concentration >", value, "settingConcentration");
            return (Criteria) this;
        }

        public Criteria andSettingConcentrationGreaterThanOrEqualTo(String value) {
            addCriterion("setting_concentration >=", value, "settingConcentration");
            return (Criteria) this;
        }

        public Criteria andSettingConcentrationLessThan(String value) {
            addCriterion("setting_concentration <", value, "settingConcentration");
            return (Criteria) this;
        }

        public Criteria andSettingConcentrationLessThanOrEqualTo(String value) {
            addCriterion("setting_concentration <=", value, "settingConcentration");
            return (Criteria) this;
        }

        public Criteria andSettingConcentrationLike(String value) {
            addCriterion("setting_concentration like", value, "settingConcentration");
            return (Criteria) this;
        }

        public Criteria andSettingConcentrationNotLike(String value) {
            addCriterion("setting_concentration not like", value, "settingConcentration");
            return (Criteria) this;
        }

        public Criteria andSettingConcentrationIn(List<String> values) {
            addCriterion("setting_concentration in", values, "settingConcentration");
            return (Criteria) this;
        }

        public Criteria andSettingConcentrationNotIn(List<String> values) {
            addCriterion("setting_concentration not in", values, "settingConcentration");
            return (Criteria) this;
        }

        public Criteria andSettingConcentrationBetween(String value1, String value2) {
            addCriterion("setting_concentration between", value1, value2, "settingConcentration");
            return (Criteria) this;
        }

        public Criteria andSettingConcentrationNotBetween(String value1, String value2) {
            addCriterion("setting_concentration not between", value1, value2, "settingConcentration");
            return (Criteria) this;
        }

        public Criteria andConcentrationCheckTypeIsNull() {
            addCriterion("concentration_check_type is null");
            return (Criteria) this;
        }

        public Criteria andConcentrationCheckTypeIsNotNull() {
            addCriterion("concentration_check_type is not null");
            return (Criteria) this;
        }

        public Criteria andConcentrationCheckTypeEqualTo(String value) {
            addCriterion("concentration_check_type =", value, "concentrationCheckType");
            return (Criteria) this;
        }

        public Criteria andConcentrationCheckTypeNotEqualTo(String value) {
            addCriterion("concentration_check_type <>", value, "concentrationCheckType");
            return (Criteria) this;
        }

        public Criteria andConcentrationCheckTypeGreaterThan(String value) {
            addCriterion("concentration_check_type >", value, "concentrationCheckType");
            return (Criteria) this;
        }

        public Criteria andConcentrationCheckTypeGreaterThanOrEqualTo(String value) {
            addCriterion("concentration_check_type >=", value, "concentrationCheckType");
            return (Criteria) this;
        }

        public Criteria andConcentrationCheckTypeLessThan(String value) {
            addCriterion("concentration_check_type <", value, "concentrationCheckType");
            return (Criteria) this;
        }

        public Criteria andConcentrationCheckTypeLessThanOrEqualTo(String value) {
            addCriterion("concentration_check_type <=", value, "concentrationCheckType");
            return (Criteria) this;
        }

        public Criteria andConcentrationCheckTypeLike(String value) {
            addCriterion("concentration_check_type like", value, "concentrationCheckType");
            return (Criteria) this;
        }

        public Criteria andConcentrationCheckTypeNotLike(String value) {
            addCriterion("concentration_check_type not like", value, "concentrationCheckType");
            return (Criteria) this;
        }

        public Criteria andConcentrationCheckTypeIn(List<String> values) {
            addCriterion("concentration_check_type in", values, "concentrationCheckType");
            return (Criteria) this;
        }

        public Criteria andConcentrationCheckTypeNotIn(List<String> values) {
            addCriterion("concentration_check_type not in", values, "concentrationCheckType");
            return (Criteria) this;
        }

        public Criteria andConcentrationCheckTypeBetween(String value1, String value2) {
            addCriterion("concentration_check_type between", value1, value2, "concentrationCheckType");
            return (Criteria) this;
        }

        public Criteria andConcentrationCheckTypeNotBetween(String value1, String value2) {
            addCriterion("concentration_check_type not between", value1, value2, "concentrationCheckType");
            return (Criteria) this;
        }

        public Criteria andBulkGasTypeIsNull() {
            addCriterion("bulk_gas_type is null");
            return (Criteria) this;
        }

        public Criteria andBulkGasTypeIsNotNull() {
            addCriterion("bulk_gas_type is not null");
            return (Criteria) this;
        }

        public Criteria andBulkGasTypeEqualTo(String value) {
            addCriterion("bulk_gas_type =", value, "bulkGasType");
            return (Criteria) this;
        }

        public Criteria andBulkGasTypeNotEqualTo(String value) {
            addCriterion("bulk_gas_type <>", value, "bulkGasType");
            return (Criteria) this;
        }

        public Criteria andBulkGasTypeGreaterThan(String value) {
            addCriterion("bulk_gas_type >", value, "bulkGasType");
            return (Criteria) this;
        }

        public Criteria andBulkGasTypeGreaterThanOrEqualTo(String value) {
            addCriterion("bulk_gas_type >=", value, "bulkGasType");
            return (Criteria) this;
        }

        public Criteria andBulkGasTypeLessThan(String value) {
            addCriterion("bulk_gas_type <", value, "bulkGasType");
            return (Criteria) this;
        }

        public Criteria andBulkGasTypeLessThanOrEqualTo(String value) {
            addCriterion("bulk_gas_type <=", value, "bulkGasType");
            return (Criteria) this;
        }

        public Criteria andBulkGasTypeLike(String value) {
            addCriterion("bulk_gas_type like", value, "bulkGasType");
            return (Criteria) this;
        }

        public Criteria andBulkGasTypeNotLike(String value) {
            addCriterion("bulk_gas_type not like", value, "bulkGasType");
            return (Criteria) this;
        }

        public Criteria andBulkGasTypeIn(List<String> values) {
            addCriterion("bulk_gas_type in", values, "bulkGasType");
            return (Criteria) this;
        }

        public Criteria andBulkGasTypeNotIn(List<String> values) {
            addCriterion("bulk_gas_type not in", values, "bulkGasType");
            return (Criteria) this;
        }

        public Criteria andBulkGasTypeBetween(String value1, String value2) {
            addCriterion("bulk_gas_type between", value1, value2, "bulkGasType");
            return (Criteria) this;
        }

        public Criteria andBulkGasTypeNotBetween(String value1, String value2) {
            addCriterion("bulk_gas_type not between", value1, value2, "bulkGasType");
            return (Criteria) this;
        }

        public Criteria andDrugUserNumberIsNull() {
            addCriterion("drug_user_number is null");
            return (Criteria) this;
        }

        public Criteria andDrugUserNumberIsNotNull() {
            addCriterion("drug_user_number is not null");
            return (Criteria) this;
        }

        public Criteria andDrugUserNumberEqualTo(Integer value) {
            addCriterion("drug_user_number =", value, "drugUserNumber");
            return (Criteria) this;
        }

        public Criteria andDrugUserNumberNotEqualTo(Integer value) {
            addCriterion("drug_user_number <>", value, "drugUserNumber");
            return (Criteria) this;
        }

        public Criteria andDrugUserNumberGreaterThan(Integer value) {
            addCriterion("drug_user_number >", value, "drugUserNumber");
            return (Criteria) this;
        }

        public Criteria andDrugUserNumberGreaterThanOrEqualTo(Integer value) {
            addCriterion("drug_user_number >=", value, "drugUserNumber");
            return (Criteria) this;
        }

        public Criteria andDrugUserNumberLessThan(Integer value) {
            addCriterion("drug_user_number <", value, "drugUserNumber");
            return (Criteria) this;
        }

        public Criteria andDrugUserNumberLessThanOrEqualTo(Integer value) {
            addCriterion("drug_user_number <=", value, "drugUserNumber");
            return (Criteria) this;
        }

        public Criteria andDrugUserNumberIn(List<Integer> values) {
            addCriterion("drug_user_number in", values, "drugUserNumber");
            return (Criteria) this;
        }

        public Criteria andDrugUserNumberNotIn(List<Integer> values) {
            addCriterion("drug_user_number not in", values, "drugUserNumber");
            return (Criteria) this;
        }

        public Criteria andDrugUserNumberBetween(Integer value1, Integer value2) {
            addCriterion("drug_user_number between", value1, value2, "drugUserNumber");
            return (Criteria) this;
        }

        public Criteria andDrugUserNumberNotBetween(Integer value1, Integer value2) {
            addCriterion("drug_user_number not between", value1, value2, "drugUserNumber");
            return (Criteria) this;
        }

        public Criteria andPesticideOperatorIsNull() {
            addCriterion("pesticide_operator is null");
            return (Criteria) this;
        }

        public Criteria andPesticideOperatorIsNotNull() {
            addCriterion("pesticide_operator is not null");
            return (Criteria) this;
        }

        public Criteria andPesticideOperatorEqualTo(String value) {
            addCriterion("pesticide_operator =", value, "pesticideOperator");
            return (Criteria) this;
        }

        public Criteria andPesticideOperatorNotEqualTo(String value) {
            addCriterion("pesticide_operator <>", value, "pesticideOperator");
            return (Criteria) this;
        }

        public Criteria andPesticideOperatorGreaterThan(String value) {
            addCriterion("pesticide_operator >", value, "pesticideOperator");
            return (Criteria) this;
        }

        public Criteria andPesticideOperatorGreaterThanOrEqualTo(String value) {
            addCriterion("pesticide_operator >=", value, "pesticideOperator");
            return (Criteria) this;
        }

        public Criteria andPesticideOperatorLessThan(String value) {
            addCriterion("pesticide_operator <", value, "pesticideOperator");
            return (Criteria) this;
        }

        public Criteria andPesticideOperatorLessThanOrEqualTo(String value) {
            addCriterion("pesticide_operator <=", value, "pesticideOperator");
            return (Criteria) this;
        }

        public Criteria andPesticideOperatorLike(String value) {
            addCriterion("pesticide_operator like", value, "pesticideOperator");
            return (Criteria) this;
        }

        public Criteria andPesticideOperatorNotLike(String value) {
            addCriterion("pesticide_operator not like", value, "pesticideOperator");
            return (Criteria) this;
        }

        public Criteria andPesticideOperatorIn(List<String> values) {
            addCriterion("pesticide_operator in", values, "pesticideOperator");
            return (Criteria) this;
        }

        public Criteria andPesticideOperatorNotIn(List<String> values) {
            addCriterion("pesticide_operator not in", values, "pesticideOperator");
            return (Criteria) this;
        }

        public Criteria andPesticideOperatorBetween(String value1, String value2) {
            addCriterion("pesticide_operator between", value1, value2, "pesticideOperator");
            return (Criteria) this;
        }

        public Criteria andPesticideOperatorNotBetween(String value1, String value2) {
            addCriterion("pesticide_operator not between", value1, value2, "pesticideOperator");
            return (Criteria) this;
        }

        public Criteria andCreaterIsNull() {
            addCriterion("creater is null");
            return (Criteria) this;
        }

        public Criteria andCreaterIsNotNull() {
            addCriterion("creater is not null");
            return (Criteria) this;
        }

        public Criteria andCreaterEqualTo(Integer value) {
            addCriterion("creater =", value, "creater");
            return (Criteria) this;
        }

        public Criteria andCreaterNotEqualTo(Integer value) {
            addCriterion("creater <>", value, "creater");
            return (Criteria) this;
        }

        public Criteria andCreaterGreaterThan(Integer value) {
            addCriterion("creater >", value, "creater");
            return (Criteria) this;
        }

        public Criteria andCreaterGreaterThanOrEqualTo(Integer value) {
            addCriterion("creater >=", value, "creater");
            return (Criteria) this;
        }

        public Criteria andCreaterLessThan(Integer value) {
            addCriterion("creater <", value, "creater");
            return (Criteria) this;
        }

        public Criteria andCreaterLessThanOrEqualTo(Integer value) {
            addCriterion("creater <=", value, "creater");
            return (Criteria) this;
        }

        public Criteria andCreaterIn(List<Integer> values) {
            addCriterion("creater in", values, "creater");
            return (Criteria) this;
        }

        public Criteria andCreaterNotIn(List<Integer> values) {
            addCriterion("creater not in", values, "creater");
            return (Criteria) this;
        }

        public Criteria andCreaterBetween(Integer value1, Integer value2) {
            addCriterion("creater between", value1, value2, "creater");
            return (Criteria) this;
        }

        public Criteria andCreaterNotBetween(Integer value1, Integer value2) {
            addCriterion("creater not between", value1, value2, "creater");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNull() {
            addCriterion("update_time is null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNotNull() {
            addCriterion("update_time is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeEqualTo(Date value) {
            addCriterion("update_time =", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotEqualTo(Date value) {
            addCriterion("update_time <>", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThan(Date value) {
            addCriterion("update_time >", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("update_time >=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThan(Date value) {
            addCriterion("update_time <", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
            addCriterion("update_time <=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIn(List<Date> values) {
            addCriterion("update_time in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotIn(List<Date> values) {
            addCriterion("update_time not in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeBetween(Date value1, Date value2) {
            addCriterion("update_time between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
            addCriterion("update_time not between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andStateIsNull() {
            addCriterion("state is null");
            return (Criteria) this;
        }

        public Criteria andStateIsNotNull() {
            addCriterion("state is not null");
            return (Criteria) this;
        }

        public Criteria andStateEqualTo(Integer value) {
            addCriterion("state =", value, "state");
            return (Criteria) this;
        }

        public Criteria andStateNotEqualTo(Integer value) {
            addCriterion("state <>", value, "state");
            return (Criteria) this;
        }

        public Criteria andStateGreaterThan(Integer value) {
            addCriterion("state >", value, "state");
            return (Criteria) this;
        }

        public Criteria andStateGreaterThanOrEqualTo(Integer value) {
            addCriterion("state >=", value, "state");
            return (Criteria) this;
        }

        public Criteria andStateLessThan(Integer value) {
            addCriterion("state <", value, "state");
            return (Criteria) this;
        }

        public Criteria andStateLessThanOrEqualTo(Integer value) {
            addCriterion("state <=", value, "state");
            return (Criteria) this;
        }

        public Criteria andStateIn(List<Integer> values) {
            addCriterion("state in", values, "state");
            return (Criteria) this;
        }

        public Criteria andStateNotIn(List<Integer> values) {
            addCriterion("state not in", values, "state");
            return (Criteria) this;
        }

        public Criteria andStateBetween(Integer value1, Integer value2) {
            addCriterion("state between", value1, value2, "state");
            return (Criteria) this;
        }

        public Criteria andStateNotBetween(Integer value1, Integer value2) {
            addCriterion("state not between", value1, value2, "state");
            return (Criteria) this;
        }

        public Criteria andApprovePeopleIsNull() {
            addCriterion("approve_people is null");
            return (Criteria) this;
        }

        public Criteria andApprovePeopleIsNotNull() {
            addCriterion("approve_people is not null");
            return (Criteria) this;
        }

        public Criteria andApprovePeopleEqualTo(String value) {
            addCriterion("approve_people =", value, "approvePeople");
            return (Criteria) this;
        }

        public Criteria andApprovePeopleNotEqualTo(String value) {
            addCriterion("approve_people <>", value, "approvePeople");
            return (Criteria) this;
        }

        public Criteria andApprovePeopleGreaterThan(String value) {
            addCriterion("approve_people >", value, "approvePeople");
            return (Criteria) this;
        }

        public Criteria andApprovePeopleGreaterThanOrEqualTo(String value) {
            addCriterion("approve_people >=", value, "approvePeople");
            return (Criteria) this;
        }

        public Criteria andApprovePeopleLessThan(String value) {
            addCriterion("approve_people <", value, "approvePeople");
            return (Criteria) this;
        }

        public Criteria andApprovePeopleLessThanOrEqualTo(String value) {
            addCriterion("approve_people <=", value, "approvePeople");
            return (Criteria) this;
        }

        public Criteria andApprovePeopleLike(String value) {
            addCriterion("approve_people like", value, "approvePeople");
            return (Criteria) this;
        }

        public Criteria andApprovePeopleNotLike(String value) {
            addCriterion("approve_people not like", value, "approvePeople");
            return (Criteria) this;
        }

        public Criteria andApprovePeopleIn(List<String> values) {
            addCriterion("approve_people in", values, "approvePeople");
            return (Criteria) this;
        }

        public Criteria andApprovePeopleNotIn(List<String> values) {
            addCriterion("approve_people not in", values, "approvePeople");
            return (Criteria) this;
        }

        public Criteria andApprovePeopleBetween(String value1, String value2) {
            addCriterion("approve_people between", value1, value2, "approvePeople");
            return (Criteria) this;
        }

        public Criteria andApprovePeopleNotBetween(String value1, String value2) {
            addCriterion("approve_people not between", value1, value2, "approvePeople");
            return (Criteria) this;
        }

        public Criteria andApproveDepartmentIsNull() {
            addCriterion("approve_department is null");
            return (Criteria) this;
        }

        public Criteria andApproveDepartmentIsNotNull() {
            addCriterion("approve_department is not null");
            return (Criteria) this;
        }

        public Criteria andApproveDepartmentEqualTo(String value) {
            addCriterion("approve_department =", value, "approveDepartment");
            return (Criteria) this;
        }

        public Criteria andApproveDepartmentNotEqualTo(String value) {
            addCriterion("approve_department <>", value, "approveDepartment");
            return (Criteria) this;
        }

        public Criteria andApproveDepartmentGreaterThan(String value) {
            addCriterion("approve_department >", value, "approveDepartment");
            return (Criteria) this;
        }

        public Criteria andApproveDepartmentGreaterThanOrEqualTo(String value) {
            addCriterion("approve_department >=", value, "approveDepartment");
            return (Criteria) this;
        }

        public Criteria andApproveDepartmentLessThan(String value) {
            addCriterion("approve_department <", value, "approveDepartment");
            return (Criteria) this;
        }

        public Criteria andApproveDepartmentLessThanOrEqualTo(String value) {
            addCriterion("approve_department <=", value, "approveDepartment");
            return (Criteria) this;
        }

        public Criteria andApproveDepartmentLike(String value) {
            addCriterion("approve_department like", value, "approveDepartment");
            return (Criteria) this;
        }

        public Criteria andApproveDepartmentNotLike(String value) {
            addCriterion("approve_department not like", value, "approveDepartment");
            return (Criteria) this;
        }

        public Criteria andApproveDepartmentIn(List<String> values) {
            addCriterion("approve_department in", values, "approveDepartment");
            return (Criteria) this;
        }

        public Criteria andApproveDepartmentNotIn(List<String> values) {
            addCriterion("approve_department not in", values, "approveDepartment");
            return (Criteria) this;
        }

        public Criteria andApproveDepartmentBetween(String value1, String value2) {
            addCriterion("approve_department between", value1, value2, "approveDepartment");
            return (Criteria) this;
        }

        public Criteria andApproveDepartmentNotBetween(String value1, String value2) {
            addCriterion("approve_department not between", value1, value2, "approveDepartment");
            return (Criteria) this;
        }

        public Criteria andApproveNoteIsNull() {
            addCriterion("approve_note is null");
            return (Criteria) this;
        }

        public Criteria andApproveNoteIsNotNull() {
            addCriterion("approve_note is not null");
            return (Criteria) this;
        }

        public Criteria andApproveNoteEqualTo(String value) {
            addCriterion("approve_note =", value, "approveNote");
            return (Criteria) this;
        }

        public Criteria andApproveNoteNotEqualTo(String value) {
            addCriterion("approve_note <>", value, "approveNote");
            return (Criteria) this;
        }

        public Criteria andApproveNoteGreaterThan(String value) {
            addCriterion("approve_note >", value, "approveNote");
            return (Criteria) this;
        }

        public Criteria andApproveNoteGreaterThanOrEqualTo(String value) {
            addCriterion("approve_note >=", value, "approveNote");
            return (Criteria) this;
        }

        public Criteria andApproveNoteLessThan(String value) {
            addCriterion("approve_note <", value, "approveNote");
            return (Criteria) this;
        }

        public Criteria andApproveNoteLessThanOrEqualTo(String value) {
            addCriterion("approve_note <=", value, "approveNote");
            return (Criteria) this;
        }

        public Criteria andApproveNoteLike(String value) {
            addCriterion("approve_note like", value, "approveNote");
            return (Criteria) this;
        }

        public Criteria andApproveNoteNotLike(String value) {
            addCriterion("approve_note not like", value, "approveNote");
            return (Criteria) this;
        }

        public Criteria andApproveNoteIn(List<String> values) {
            addCriterion("approve_note in", values, "approveNote");
            return (Criteria) this;
        }

        public Criteria andApproveNoteNotIn(List<String> values) {
            addCriterion("approve_note not in", values, "approveNote");
            return (Criteria) this;
        }

        public Criteria andApproveNoteBetween(String value1, String value2) {
            addCriterion("approve_note between", value1, value2, "approveNote");
            return (Criteria) this;
        }

        public Criteria andApproveNoteNotBetween(String value1, String value2) {
            addCriterion("approve_note not between", value1, value2, "approveNote");
            return (Criteria) this;
        }

        public Criteria andApproveTimeIsNull() {
            addCriterion("approve_time is null");
            return (Criteria) this;
        }

        public Criteria andApproveTimeIsNotNull() {
            addCriterion("approve_time is not null");
            return (Criteria) this;
        }

        public Criteria andApproveTimeEqualTo(Date value) {
            addCriterion("approve_time =", value, "approveTime");
            return (Criteria) this;
        }

        public Criteria andApproveTimeNotEqualTo(Date value) {
            addCriterion("approve_time <>", value, "approveTime");
            return (Criteria) this;
        }

        public Criteria andApproveTimeGreaterThan(Date value) {
            addCriterion("approve_time >", value, "approveTime");
            return (Criteria) this;
        }

        public Criteria andApproveTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("approve_time >=", value, "approveTime");
            return (Criteria) this;
        }

        public Criteria andApproveTimeLessThan(Date value) {
            addCriterion("approve_time <", value, "approveTime");
            return (Criteria) this;
        }

        public Criteria andApproveTimeLessThanOrEqualTo(Date value) {
            addCriterion("approve_time <=", value, "approveTime");
            return (Criteria) this;
        }

        public Criteria andApproveTimeIn(List<Date> values) {
            addCriterion("approve_time in", values, "approveTime");
            return (Criteria) this;
        }

        public Criteria andApproveTimeNotIn(List<Date> values) {
            addCriterion("approve_time not in", values, "approveTime");
            return (Criteria) this;
        }

        public Criteria andApproveTimeBetween(Date value1, Date value2) {
            addCriterion("approve_time between", value1, value2, "approveTime");
            return (Criteria) this;
        }

        public Criteria andApproveTimeNotBetween(Date value1, Date value2) {
            addCriterion("approve_time not between", value1, value2, "approveTime");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNull() {
            addCriterion("org_id is null");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNotNull() {
            addCriterion("org_id is not null");
            return (Criteria) this;
        }

        public Criteria andOrgIdEqualTo(String value) {
            addCriterion("org_id =", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotEqualTo(String value) {
            addCriterion("org_id <>", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThan(String value) {
            addCriterion("org_id >", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThanOrEqualTo(String value) {
            addCriterion("org_id >=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThan(String value) {
            addCriterion("org_id <", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThanOrEqualTo(String value) {
            addCriterion("org_id <=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLike(String value) {
            addCriterion("org_id like", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotLike(String value) {
            addCriterion("org_id not like", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdIn(List<String> values) {
            addCriterion("org_id in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotIn(List<String> values) {
            addCriterion("org_id not in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdBetween(String value1, String value2) {
            addCriterion("org_id between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotBetween(String value1, String value2) {
            addCriterion("org_id not between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andSyryzzqkIsNull() {
            addCriterion("syryzzqk is null");
            return (Criteria) this;
        }

        public Criteria andSyryzzqkIsNotNull() {
            addCriterion("syryzzqk is not null");
            return (Criteria) this;
        }

        public Criteria andSyryzzqkEqualTo(String value) {
            addCriterion("syryzzqk =", value, "syryzzqk");
            return (Criteria) this;
        }

        public Criteria andSyryzzqkNotEqualTo(String value) {
            addCriterion("syryzzqk <>", value, "syryzzqk");
            return (Criteria) this;
        }

        public Criteria andSyryzzqkGreaterThan(String value) {
            addCriterion("syryzzqk >", value, "syryzzqk");
            return (Criteria) this;
        }

        public Criteria andSyryzzqkGreaterThanOrEqualTo(String value) {
            addCriterion("syryzzqk >=", value, "syryzzqk");
            return (Criteria) this;
        }

        public Criteria andSyryzzqkLessThan(String value) {
            addCriterion("syryzzqk <", value, "syryzzqk");
            return (Criteria) this;
        }

        public Criteria andSyryzzqkLessThanOrEqualTo(String value) {
            addCriterion("syryzzqk <=", value, "syryzzqk");
            return (Criteria) this;
        }

        public Criteria andSyryzzqkLike(String value) {
            addCriterion("syryzzqk like", value, "syryzzqk");
            return (Criteria) this;
        }

        public Criteria andSyryzzqkNotLike(String value) {
            addCriterion("syryzzqk not like", value, "syryzzqk");
            return (Criteria) this;
        }

        public Criteria andSyryzzqkIn(List<String> values) {
            addCriterion("syryzzqk in", values, "syryzzqk");
            return (Criteria) this;
        }

        public Criteria andSyryzzqkNotIn(List<String> values) {
            addCriterion("syryzzqk not in", values, "syryzzqk");
            return (Criteria) this;
        }

        public Criteria andSyryzzqkBetween(String value1, String value2) {
            addCriterion("syryzzqk between", value1, value2, "syryzzqk");
            return (Criteria) this;
        }

        public Criteria andSyryzzqkNotBetween(String value1, String value2) {
            addCriterion("syryzzqk not between", value1, value2, "syryzzqk");
            return (Criteria) this;
        }

        public Criteria andSyzzshIsNull() {
            addCriterion("syzzsh is null");
            return (Criteria) this;
        }

        public Criteria andSyzzshIsNotNull() {
            addCriterion("syzzsh is not null");
            return (Criteria) this;
        }

        public Criteria andSyzzshEqualTo(String value) {
            addCriterion("syzzsh =", value, "syzzsh");
            return (Criteria) this;
        }

        public Criteria andSyzzshNotEqualTo(String value) {
            addCriterion("syzzsh <>", value, "syzzsh");
            return (Criteria) this;
        }

        public Criteria andSyzzshGreaterThan(String value) {
            addCriterion("syzzsh >", value, "syzzsh");
            return (Criteria) this;
        }

        public Criteria andSyzzshGreaterThanOrEqualTo(String value) {
            addCriterion("syzzsh >=", value, "syzzsh");
            return (Criteria) this;
        }

        public Criteria andSyzzshLessThan(String value) {
            addCriterion("syzzsh <", value, "syzzsh");
            return (Criteria) this;
        }

        public Criteria andSyzzshLessThanOrEqualTo(String value) {
            addCriterion("syzzsh <=", value, "syzzsh");
            return (Criteria) this;
        }

        public Criteria andSyzzshLike(String value) {
            addCriterion("syzzsh like", value, "syzzsh");
            return (Criteria) this;
        }

        public Criteria andSyzzshNotLike(String value) {
            addCriterion("syzzsh not like", value, "syzzsh");
            return (Criteria) this;
        }

        public Criteria andSyzzshIn(List<String> values) {
            addCriterion("syzzsh in", values, "syzzsh");
            return (Criteria) this;
        }

        public Criteria andSyzzshNotIn(List<String> values) {
            addCriterion("syzzsh not in", values, "syzzsh");
            return (Criteria) this;
        }

        public Criteria andSyzzshBetween(String value1, String value2) {
            addCriterion("syzzsh between", value1, value2, "syzzsh");
            return (Criteria) this;
        }

        public Criteria andSyzzshNotBetween(String value1, String value2) {
            addCriterion("syzzsh not between", value1, value2, "syzzsh");
            return (Criteria) this;
        }

        public Criteria andJxIsNull() {
            addCriterion("jx is null");
            return (Criteria) this;
        }

        public Criteria andJxIsNotNull() {
            addCriterion("jx is not null");
            return (Criteria) this;
        }

        public Criteria andJxEqualTo(String value) {
            addCriterion("jx =", value, "jx");
            return (Criteria) this;
        }

        public Criteria andJxNotEqualTo(String value) {
            addCriterion("jx <>", value, "jx");
            return (Criteria) this;
        }

        public Criteria andJxGreaterThan(String value) {
            addCriterion("jx >", value, "jx");
            return (Criteria) this;
        }

        public Criteria andJxGreaterThanOrEqualTo(String value) {
            addCriterion("jx >=", value, "jx");
            return (Criteria) this;
        }

        public Criteria andJxLessThan(String value) {
            addCriterion("jx <", value, "jx");
            return (Criteria) this;
        }

        public Criteria andJxLessThanOrEqualTo(String value) {
            addCriterion("jx <=", value, "jx");
            return (Criteria) this;
        }

        public Criteria andJxLike(String value) {
            addCriterion("jx like", value, "jx");
            return (Criteria) this;
        }

        public Criteria andJxNotLike(String value) {
            addCriterion("jx not like", value, "jx");
            return (Criteria) this;
        }

        public Criteria andJxIn(List<String> values) {
            addCriterion("jx in", values, "jx");
            return (Criteria) this;
        }

        public Criteria andJxNotIn(List<String> values) {
            addCriterion("jx not in", values, "jx");
            return (Criteria) this;
        }

        public Criteria andJxBetween(String value1, String value2) {
            addCriterion("jx between", value1, value2, "jx");
            return (Criteria) this;
        }

        public Criteria andJxNotBetween(String value1, String value2) {
            addCriterion("jx not between", value1, value2, "jx");
            return (Criteria) this;
        }

        public Criteria andLddwyylIsNull() {
            addCriterion("lddwyyl is null");
            return (Criteria) this;
        }

        public Criteria andLddwyylIsNotNull() {
            addCriterion("lddwyyl is not null");
            return (Criteria) this;
        }

        public Criteria andLddwyylEqualTo(BigDecimal value) {
            addCriterion("lddwyyl =", value, "lddwyyl");
            return (Criteria) this;
        }

        public Criteria andLddwyylNotEqualTo(BigDecimal value) {
            addCriterion("lddwyyl <>", value, "lddwyyl");
            return (Criteria) this;
        }

        public Criteria andLddwyylGreaterThan(BigDecimal value) {
            addCriterion("lddwyyl >", value, "lddwyyl");
            return (Criteria) this;
        }

        public Criteria andLddwyylGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("lddwyyl >=", value, "lddwyyl");
            return (Criteria) this;
        }

        public Criteria andLddwyylLessThan(BigDecimal value) {
            addCriterion("lddwyyl <", value, "lddwyyl");
            return (Criteria) this;
        }

        public Criteria andLddwyylLessThanOrEqualTo(BigDecimal value) {
            addCriterion("lddwyyl <=", value, "lddwyyl");
            return (Criteria) this;
        }

        public Criteria andLddwyylIn(List<BigDecimal> values) {
            addCriterion("lddwyyl in", values, "lddwyyl");
            return (Criteria) this;
        }

        public Criteria andLddwyylNotIn(List<BigDecimal> values) {
            addCriterion("lddwyyl not in", values, "lddwyyl");
            return (Criteria) this;
        }

        public Criteria andLddwyylBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("lddwyyl between", value1, value2, "lddwyyl");
            return (Criteria) this;
        }

        public Criteria andLddwyylNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("lddwyyl not between", value1, value2, "lddwyyl");
            return (Criteria) this;
        }

        public Criteria andKjdwyylIsNull() {
            addCriterion("kjdwyyl is null");
            return (Criteria) this;
        }

        public Criteria andKjdwyylIsNotNull() {
            addCriterion("kjdwyyl is not null");
            return (Criteria) this;
        }

        public Criteria andKjdwyylEqualTo(BigDecimal value) {
            addCriterion("kjdwyyl =", value, "kjdwyyl");
            return (Criteria) this;
        }

        public Criteria andKjdwyylNotEqualTo(BigDecimal value) {
            addCriterion("kjdwyyl <>", value, "kjdwyyl");
            return (Criteria) this;
        }

        public Criteria andKjdwyylGreaterThan(BigDecimal value) {
            addCriterion("kjdwyyl >", value, "kjdwyyl");
            return (Criteria) this;
        }

        public Criteria andKjdwyylGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("kjdwyyl >=", value, "kjdwyyl");
            return (Criteria) this;
        }

        public Criteria andKjdwyylLessThan(BigDecimal value) {
            addCriterion("kjdwyyl <", value, "kjdwyyl");
            return (Criteria) this;
        }

        public Criteria andKjdwyylLessThanOrEqualTo(BigDecimal value) {
            addCriterion("kjdwyyl <=", value, "kjdwyyl");
            return (Criteria) this;
        }

        public Criteria andKjdwyylIn(List<BigDecimal> values) {
            addCriterion("kjdwyyl in", values, "kjdwyyl");
            return (Criteria) this;
        }

        public Criteria andKjdwyylNotIn(List<BigDecimal> values) {
            addCriterion("kjdwyyl not in", values, "kjdwyyl");
            return (Criteria) this;
        }

        public Criteria andKjdwyylBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("kjdwyyl between", value1, value2, "kjdwyyl");
            return (Criteria) this;
        }

        public Criteria andKjdwyylNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("kjdwyyl not between", value1, value2, "kjdwyyl");
            return (Criteria) this;
        }

        public Criteria andSyffIsNull() {
            addCriterion("syff is null");
            return (Criteria) this;
        }

        public Criteria andSyffIsNotNull() {
            addCriterion("syff is not null");
            return (Criteria) this;
        }

        public Criteria andSyffEqualTo(String value) {
            addCriterion("syff =", value, "syff");
            return (Criteria) this;
        }

        public Criteria andSyffNotEqualTo(String value) {
            addCriterion("syff <>", value, "syff");
            return (Criteria) this;
        }

        public Criteria andSyffGreaterThan(String value) {
            addCriterion("syff >", value, "syff");
            return (Criteria) this;
        }

        public Criteria andSyffGreaterThanOrEqualTo(String value) {
            addCriterion("syff >=", value, "syff");
            return (Criteria) this;
        }

        public Criteria andSyffLessThan(String value) {
            addCriterion("syff <", value, "syff");
            return (Criteria) this;
        }

        public Criteria andSyffLessThanOrEqualTo(String value) {
            addCriterion("syff <=", value, "syff");
            return (Criteria) this;
        }

        public Criteria andSyffLike(String value) {
            addCriterion("syff like", value, "syff");
            return (Criteria) this;
        }

        public Criteria andSyffNotLike(String value) {
            addCriterion("syff not like", value, "syff");
            return (Criteria) this;
        }

        public Criteria andSyffIn(List<String> values) {
            addCriterion("syff in", values, "syff");
            return (Criteria) this;
        }

        public Criteria andSyffNotIn(List<String> values) {
            addCriterion("syff not in", values, "syff");
            return (Criteria) this;
        }

        public Criteria andSyffBetween(String value1, String value2) {
            addCriterion("syff between", value1, value2, "syff");
            return (Criteria) this;
        }

        public Criteria andSyffNotBetween(String value1, String value2) {
            addCriterion("syff not between", value1, value2, "syff");
            return (Criteria) this;
        }

        public Criteria andFzsycsIsNull() {
            addCriterion("fzsycs is null");
            return (Criteria) this;
        }

        public Criteria andFzsycsIsNotNull() {
            addCriterion("fzsycs is not null");
            return (Criteria) this;
        }

        public Criteria andFzsycsEqualTo(String value) {
            addCriterion("fzsycs =", value, "fzsycs");
            return (Criteria) this;
        }

        public Criteria andFzsycsNotEqualTo(String value) {
            addCriterion("fzsycs <>", value, "fzsycs");
            return (Criteria) this;
        }

        public Criteria andFzsycsGreaterThan(String value) {
            addCriterion("fzsycs >", value, "fzsycs");
            return (Criteria) this;
        }

        public Criteria andFzsycsGreaterThanOrEqualTo(String value) {
            addCriterion("fzsycs >=", value, "fzsycs");
            return (Criteria) this;
        }

        public Criteria andFzsycsLessThan(String value) {
            addCriterion("fzsycs <", value, "fzsycs");
            return (Criteria) this;
        }

        public Criteria andFzsycsLessThanOrEqualTo(String value) {
            addCriterion("fzsycs <=", value, "fzsycs");
            return (Criteria) this;
        }

        public Criteria andFzsycsLike(String value) {
            addCriterion("fzsycs like", value, "fzsycs");
            return (Criteria) this;
        }

        public Criteria andFzsycsNotLike(String value) {
            addCriterion("fzsycs not like", value, "fzsycs");
            return (Criteria) this;
        }

        public Criteria andFzsycsIn(List<String> values) {
            addCriterion("fzsycs in", values, "fzsycs");
            return (Criteria) this;
        }

        public Criteria andFzsycsNotIn(List<String> values) {
            addCriterion("fzsycs not in", values, "fzsycs");
            return (Criteria) this;
        }

        public Criteria andFzsycsBetween(String value1, String value2) {
            addCriterion("fzsycs between", value1, value2, "fzsycs");
            return (Criteria) this;
        }

        public Criteria andFzsycsNotBetween(String value1, String value2) {
            addCriterion("fzsycs not between", value1, value2, "fzsycs");
            return (Criteria) this;
        }

        public Criteria andDeleteStateIsNull() {
            addCriterion("delete_state is null");
            return (Criteria) this;
        }

        public Criteria andDeleteStateIsNotNull() {
            addCriterion("delete_state is not null");
            return (Criteria) this;
        }

        public Criteria andDeleteStateEqualTo(String value) {
            addCriterion("delete_state =", value, "deleteState");
            return (Criteria) this;
        }

        public Criteria andDeleteStateNotEqualTo(String value) {
            addCriterion("delete_state <>", value, "deleteState");
            return (Criteria) this;
        }

        public Criteria andDeleteStateGreaterThan(String value) {
            addCriterion("delete_state >", value, "deleteState");
            return (Criteria) this;
        }

        public Criteria andDeleteStateGreaterThanOrEqualTo(String value) {
            addCriterion("delete_state >=", value, "deleteState");
            return (Criteria) this;
        }

        public Criteria andDeleteStateLessThan(String value) {
            addCriterion("delete_state <", value, "deleteState");
            return (Criteria) this;
        }

        public Criteria andDeleteStateLessThanOrEqualTo(String value) {
            addCriterion("delete_state <=", value, "deleteState");
            return (Criteria) this;
        }

        public Criteria andDeleteStateLike(String value) {
            addCriterion("delete_state like", value, "deleteState");
            return (Criteria) this;
        }

        public Criteria andDeleteStateNotLike(String value) {
            addCriterion("delete_state not like", value, "deleteState");
            return (Criteria) this;
        }

        public Criteria andDeleteStateIn(List<String> values) {
            addCriterion("delete_state in", values, "deleteState");
            return (Criteria) this;
        }

        public Criteria andDeleteStateNotIn(List<String> values) {
            addCriterion("delete_state not in", values, "deleteState");
            return (Criteria) this;
        }

        public Criteria andDeleteStateBetween(String value1, String value2) {
            addCriterion("delete_state between", value1, value2, "deleteState");
            return (Criteria) this;
        }

        public Criteria andDeleteStateNotBetween(String value1, String value2) {
            addCriterion("delete_state not between", value1, value2, "deleteState");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeIsNull() {
            addCriterion("updatetime is null");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeIsNotNull() {
            addCriterion("updatetime is not null");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeEqualTo(Date value) {
            addCriterion("updatetime =", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeNotEqualTo(Date value) {
            addCriterion("updatetime <>", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeGreaterThan(Date value) {
            addCriterion("updatetime >", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeGreaterThanOrEqualTo(Date value) {
            addCriterion("updatetime >=", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeLessThan(Date value) {
            addCriterion("updatetime <", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeLessThanOrEqualTo(Date value) {
            addCriterion("updatetime <=", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeIn(List<Date> values) {
            addCriterion("updatetime in", values, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeNotIn(List<Date> values) {
            addCriterion("updatetime not in", values, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeBetween(Date value1, Date value2) {
            addCriterion("updatetime between", value1, value2, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeNotBetween(Date value1, Date value2) {
            addCriterion("updatetime not between", value1, value2, "updatetime");
            return (Criteria) this;
        }
    }

    /**
     * t_fumigation_pesticide
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    /**
     * t_fumigation_pesticide 2020-06-28
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}